Class SelectAdapterSignal
Inheritance
System.Object
System.MarshalByRefObject
SelectAdapterSignal
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.Mechatronics
Assembly: NXOpen.dll
Syntax
public class SelectAdapterSignal : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectAdapterSignal()
Declaration
protected SelectAdapterSignal()
Properties
Value
Declaration
public AdapterSignal Value { get; set; }
Property Value
Type | Description |
---|---|
AdapterSignal |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public AdapterSignal GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
AdapterSignal |
GetValue(out InferSnapType.SnapType, out AdapterSignal, out View, out Point3d, out AdapterSignal, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out AdapterSignal selection1, out View view1, out Point3d point1, out AdapterSignal selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
AdapterSignal | selection1 | |
View | view1 | |
Point3d | point1 | |
AdapterSignal | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out AdapterSignal, out View, out Point3d)
Declaration
public void GetValue(out AdapterSignal selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
AdapterSignal | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, AdapterSignal, View, Point3d, AdapterSignal, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, AdapterSignal selection1, View view1, Point3d point1, AdapterSignal selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
AdapterSignal | selection1 | |
View | view1 | |
Point3d | point1 | |
AdapterSignal | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(AdapterSignal, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(AdapterSignal selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
AdapterSignal | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(AdapterSignal, View, Point3d)
Declaration
public void SetValue(AdapterSignal selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
AdapterSignal | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink